### Class

# Goa Client

#### Description [src]

    final class Goa.Client : GObject.Object
      implements Gio.AsyncInitable, Gio.Initable {
      /* No available fields */
    }

`GoaClient` is used for accessing the GNOME Online Accounts service from a client program.

#### Ancestors

- GObject

#### Implements

- GAsyncInitable
- GInitable

#### Constructors

###### goa_client_new_finish

Finishes an operation started with `goa_client_new()`.

###### goa_client_new_sync

Synchronously gets a `GoaClient`.

#### Functions

###### goa_client_new

Asynchronously gets a `GoaClient`.

#### Instance methods

###### goa_client_get_accounts

Gets all accounts that `self` knows about.

###### goa_client_get_manager

Gets the `GoaManager` for `self`, if any.

###### goa_client_get_object_manager

Gets the `GDBusObjectManager` used by `self`.

###### goa_client_lookup_by_id

Finds and returns the `GoaObject` instance whose `GoaAccount:id` D-Bus property matches `id`.

since: 3.6

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GAsyncInitable (3)

###### g_async_initable_init_async

Starts asynchronous initialization of the object implementing the interface. This must be done before any real use of the object after initial construction. If the object also implements `GInitable` you can optionally call `g_initable_init()` instead.

###### g_async_initable_init_finish

Finishes asynchronous initialization and returns the result. See g_async_initable_init_async().

###### g_async_initable_new_finish

Finishes the async construction for the various g_async_initable_new calls, returning the created object or `NULL` on error.

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

#### Properties

###### Goa.Client:object-manager

The `GDBusObjectManager` used by the `GoaClient` instance.

#### Signals

###### Goa.Client::account-added

Emitted when `object` has been added. See `goa_client_get_accounts()` for information about how to use this object.

###### Goa.Client::account-changed

Emitted when something on `object` changes.

###### Goa.Client::account-removed

Emitted when `object` has been removed.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GoaClientClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.